# Copyright © 2023-2024 ValidMind Inc. All rights reserved.
# See the LICENSE file in the root of this repository for details.
# SPDX-License-Identifier: AGPL-3.0 AND ValidMind Commercial

"""Literal types for test IDs.

This module is auto-generated by running `make generate-test-id-types`.
Should not be modified manually.
"""

from typing import Literal

TestID = Literal[
    "validmind.prompt_validation.Bias",
    "validmind.prompt_validation.Clarity",
    "validmind.prompt_validation.Specificity",
    "validmind.prompt_validation.Robustness",
    "validmind.prompt_validation.NegativeInstruction",
    "validmind.prompt_validation.Conciseness",
    "validmind.prompt_validation.Delimitation",
    "validmind.model_validation.ModelPredictionResiduals",
    "validmind.model_validation.BertScore",
    "validmind.model_validation.TimeSeriesPredictionsPlot",
    "validmind.model_validation.RegardScore",
    "validmind.model_validation.BleuScore",
    "validmind.model_validation.TimeSeriesPredictionWithCI",
    "validmind.model_validation.RegressionResidualsPlot",
    "validmind.model_validation.FeaturesAUC",
    "validmind.model_validation.ContextualRecall",
    "validmind.model_validation.MeteorScore",
    "validmind.model_validation.RougeScore",
    "validmind.model_validation.ModelMetadata",
    "validmind.model_validation.ClusterSizeDistribution",
    "validmind.model_validation.TokenDisparity",
    "validmind.model_validation.ToxicityScore",
    "validmind.model_validation.TimeSeriesR2SquareBySegments",
    "validmind.model_validation.embeddings.CosineSimilarityComparison",
    "validmind.model_validation.embeddings.EmbeddingsVisualization2D",
    "validmind.model_validation.embeddings.StabilityAnalysisRandomNoise",
    "validmind.model_validation.embeddings.TSNEComponentsPairwisePlots",
    "validmind.model_validation.embeddings.CosineSimilarityDistribution",
    "validmind.model_validation.embeddings.PCAComponentsPairwisePlots",
    "validmind.model_validation.embeddings.CosineSimilarityHeatmap",
    "validmind.model_validation.embeddings.StabilityAnalysisTranslation",
    "validmind.model_validation.embeddings.EuclideanDistanceComparison",
    "validmind.model_validation.embeddings.ClusterDistribution",
    "validmind.model_validation.embeddings.EuclideanDistanceHeatmap",
    "validmind.model_validation.embeddings.StabilityAnalysis",
    "validmind.model_validation.embeddings.StabilityAnalysisKeyword",
    "validmind.model_validation.embeddings.StabilityAnalysisSynonyms",
    "validmind.model_validation.embeddings.DescriptiveAnalytics",
    "validmind.model_validation.ragas.ContextEntityRecall",
    "validmind.model_validation.ragas.Faithfulness",
    "validmind.model_validation.ragas.AspectCritique",
    "validmind.model_validation.ragas.NoiseSensitivity",
    "validmind.model_validation.ragas.AnswerSimilarity",
    "validmind.model_validation.ragas.AnswerCorrectness",
    "validmind.model_validation.ragas.ContextRecall",
    "validmind.model_validation.ragas.ContextPrecision",
    "validmind.model_validation.ragas.AnswerRelevance",
    "validmind.model_validation.ragas.ContextUtilization",
    "validmind.model_validation.sklearn.AdjustedMutualInformation",
    "validmind.model_validation.sklearn.SilhouettePlot",
    "validmind.model_validation.sklearn.RobustnessDiagnosis",
    "validmind.model_validation.sklearn.AdjustedRandIndex",
    "validmind.model_validation.sklearn.SHAPGlobalImportance",
    "validmind.model_validation.sklearn.ConfusionMatrix",
    "validmind.model_validation.sklearn.HomogeneityScore",
    "validmind.model_validation.sklearn.CompletenessScore",
    "validmind.model_validation.sklearn.OverfitDiagnosis",
    "validmind.model_validation.sklearn.ClusterPerformanceMetrics",
    "validmind.model_validation.sklearn.PermutationFeatureImportance",
    "validmind.model_validation.sklearn.FowlkesMallowsScore",
    "validmind.model_validation.sklearn.MinimumROCAUCScore",
    "validmind.model_validation.sklearn.ClusterCosineSimilarity",
    "validmind.model_validation.sklearn.PrecisionRecallCurve",
    "validmind.model_validation.sklearn.ClassifierPerformance",
    "validmind.model_validation.sklearn.VMeasure",
    "validmind.model_validation.sklearn.MinimumF1Score",
    "validmind.model_validation.sklearn.RegressionPerformance",
    "validmind.model_validation.sklearn.ROCCurve",
    "validmind.model_validation.sklearn.RegressionR2Square",
    "validmind.model_validation.sklearn.RegressionErrors",
    "validmind.model_validation.sklearn.ClusterPerformance",
    "validmind.model_validation.sklearn.TrainingTestDegradation",
    "validmind.model_validation.sklearn.RegressionErrorsComparison",
    "validmind.model_validation.sklearn.FeatureImportance",
    "validmind.model_validation.sklearn.HyperParametersTuning",
    "validmind.model_validation.sklearn.KMeansClustersOptimization",
    "validmind.model_validation.sklearn.ModelsPerformanceComparison",
    "validmind.model_validation.sklearn.WeakspotsDiagnosis",
    "validmind.model_validation.sklearn.RegressionR2SquareComparison",
    "validmind.model_validation.sklearn.PopulationStabilityIndex",
    "validmind.model_validation.sklearn.MinimumAccuracy",
    "validmind.model_validation.statsmodels.RegressionModelSensitivityPlot",
    "validmind.model_validation.statsmodels.RegressionModelForecastPlotLevels",
    "validmind.model_validation.statsmodels.ScorecardHistogram",
    "validmind.model_validation.statsmodels.KolmogorovSmirnov",
    "validmind.model_validation.statsmodels.CumulativePredictionProbabilities",
    "validmind.model_validation.statsmodels.RegressionFeatureSignificance",
    "validmind.model_validation.statsmodels.RegressionModelSummary",
    "validmind.model_validation.statsmodels.RegressionCoeffs",
    "validmind.model_validation.statsmodels.Lilliefors",
    "validmind.model_validation.statsmodels.RegressionPermutationFeatureImportance",
    "validmind.model_validation.statsmodels.PredictionProbabilitiesHistogram",
    "validmind.model_validation.statsmodels.AutoARIMA",
    "validmind.model_validation.statsmodels.GINITable",
    "validmind.model_validation.statsmodels.RegressionModelForecastPlot",
    "validmind.model_validation.statsmodels.DurbinWatsonTest",
    "validmind.ongoing_monitoring.PredictionCorrelation",
    "validmind.ongoing_monitoring.PredictionAcrossEachFeature",
    "validmind.ongoing_monitoring.FeatureDrift",
    "validmind.ongoing_monitoring.TargetPredictionDistributionPlot",
    "validmind.data_validation.IQROutliersTable",
    "validmind.data_validation.Skewness",
    "validmind.data_validation.BoxPierce",
    "validmind.data_validation.Duplicates",
    "validmind.data_validation.MissingValuesBarPlot",
    "validmind.data_validation.DatasetDescription",
    "validmind.data_validation.ProtectedClassesCombination",
    "validmind.data_validation.ZivotAndrewsArch",
    "validmind.data_validation.ScatterPlot",
    "validmind.data_validation.TimeSeriesOutliers",
    "validmind.data_validation.TabularCategoricalBarPlots",
    "validmind.data_validation.AutoStationarity",
    "validmind.data_validation.DescriptiveStatistics",
    "validmind.data_validation.TimeSeriesDescription",
    "validmind.data_validation.LJungBox",
    "validmind.data_validation.TargetRateBarPlots",
    "validmind.data_validation.JarqueBera",
    "validmind.data_validation.PearsonCorrelationMatrix",
    "validmind.data_validation.FeatureTargetCorrelationPlot",
    "validmind.data_validation.TabularNumericalHistograms",
    "validmind.data_validation.IsolationForestOutliers",
    "validmind.data_validation.ChiSquaredFeaturesTable",
    "validmind.data_validation.HighCardinality",
    "validmind.data_validation.MissingValues",
    "validmind.data_validation.PhillipsPerronArch",
    "validmind.data_validation.RollingStatsPlot",
    "validmind.data_validation.ProtectedClassesDisparity",
    "validmind.data_validation.TabularDescriptionTables",
    "validmind.data_validation.AutoMA",
    "validmind.data_validation.UniqueRows",
    "validmind.data_validation.ShapiroWilk",
    "validmind.data_validation.TooManyZeroValues",
    "validmind.data_validation.HighPearsonCorrelation",
    "validmind.data_validation.ACFandPACFPlot",
    "validmind.data_validation.WOEBinTable",
    "validmind.data_validation.TimeSeriesFrequency",
    "validmind.data_validation.DatasetSplit",
    "validmind.data_validation.SpreadPlot",
    "validmind.data_validation.TimeSeriesLinePlot",
    "validmind.data_validation.KPSS",
    "validmind.data_validation.AutoSeasonality",
    "validmind.data_validation.ProtectedClassesDescription",
    "validmind.data_validation.BivariateScatterPlots",
    "validmind.data_validation.EngleGrangerCoint",
    "validmind.data_validation.TimeSeriesMissingValues",
    "validmind.data_validation.TimeSeriesHistogram",
    "validmind.data_validation.RunsTest",
    "validmind.data_validation.LaggedCorrelationHeatmap",
    "validmind.data_validation.SeasonalDecompose",
    "validmind.data_validation.WOEBinPlots",
    "validmind.data_validation.ClassImbalance",
    "validmind.data_validation.IQROutliersBarPlot",
    "validmind.data_validation.DFGLSArch",
    "validmind.data_validation.TimeSeriesDescriptiveStatistics",
    "validmind.data_validation.AutoAR",
    "validmind.data_validation.TabularDateTimeHistograms",
    "validmind.data_validation.ProtectedClassesThresholdOptimizer",
    "validmind.data_validation.ADF",
    "validmind.data_validation.nlp.Toxicity",
    "validmind.data_validation.nlp.PolarityAndSubjectivity",
    "validmind.data_validation.nlp.Punctuations",
    "validmind.data_validation.nlp.Sentiment",
    "validmind.data_validation.nlp.CommonWords",
    "validmind.data_validation.nlp.Hashtags",
    "validmind.data_validation.nlp.LanguageDetection",
    "validmind.data_validation.nlp.Mentions",
    "validmind.data_validation.nlp.TextDescription",
    "validmind.data_validation.nlp.StopWords",
]
